* {
    font-family: Poppins, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}

body {
    overflow: hidden;
}

/* ======================
    Hanlding Status Icons
    ====================== */
#eyeicon {
    position: absolute;
    top: 50%;
    right: 0.75rem;
    transform: translateY(-50%);
    cursor: pointer;
}

#eyeiconEdit {
    position: absolute;
    top: 50%;
    right: 0.75rem;
    transform: translateY(-50%);
    cursor: pointer;
}

.show-img-btn,
.edit-btn,
.delete-btn,
.info-btn {
    cursor: pointer;
}

.edit-disable-btn,
.delete-disable-btn {
    cursor: default;
    opacity: 35%;
}

[data-bs-theme="darks"] {
    .edit-btn:hover,
    .delete-btn:hover,
    .info-btn:hover {
        color: #b8b8b8b0;
    }
}

.edit-btn:hover,
.delete-btn:hover,
.info-btn:hover {
    color: #706e7ac7;
}

.show-img-btn:hover {
    color: #0cb8dfa4 !important;
}

/* =======
    Utils
   ======= */

.progressing_bar {
    /* position: absolute;
    left: 0;
    bottom: 0; */
    width: 0%;
    height: 1rem;
    background: #6e78b2;
    transition: 3s;
}

.progressing_bar.show {
    width: 100%;
    transition: 3s;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

[data-bs-theme="darks"] {
    .custom__scroll::-webkit-scrollbar-track {
        background: #444861 !important;
    }

    .custom__scroll::-webkit-scrollbar-thumb {
        background: #6e78b2 !important;
    }

    .custom__scroll::-webkit-scrollbar-thumb:hover {
        background: #6e78b27c !important;
    }
}

.custom__scroll::-webkit-scrollbar {
    width: 10px;
}

.custom__scroll::-webkit-scrollbar-track {
    background: #c2bdf3 !important;
    border-radius: 1rem;
}

.custom__scroll::-webkit-scrollbar-thumb {
    background: #7367f0 !important;
    border-radius: 1rem;
    cursor: pointer;
}

.custom__scroll::-webkit-scrollbar-thumb:hover {
    background: #7367f07c !important;
}

input[type="number"] {
    -moz-appearance: textfield;
}

textarea {
    resize: none !important;
}

.custom__scroll::-webkit-scrollbar {
    width: 10px;
}

.custom__scroll::-webkit-scrollbar-track {
    background: #444861;
    border-radius: 1rem;
}

.custom__scroll::-webkit-scrollbar-thumb {
    background: #6e78b2;
    border-radius: 1rem;
}

.custom__scroll::-webkit-scrollbar-thumb:hover {
    background: #6e78b27c;
}

.table__wrapper::-webkit-scrollbar,
#actual-inject::-webkit-scrollbar {
    width: 10px;
}

.table__wrapper::-webkit-scrollbar-track,
#actual-inject::-webkit-scrollbar-track {
    background: #444861;
    border-radius: 1rem;
}

.table__wrapper::-webkit-scrollbar-thumb,
#actual-inject::-webkit-scrollbar-thumb {
    background: #6e78b2;
    border-radius: 1rem;
}

.table__wrapper::-webkit-scrollbar-thumb:hover,
#actual-inject::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Header Navbar Style */
.dropdown__profile__setting:hover div {
    background-color: #444861;
}

.dropdown__profile__logout {
    background-color: #ff4c51;
}

.dropdown__profile__logout:hover {
    background-color: #ff4c52c0;
}

.error__msg {
    color: #ff4c4c;
    font-style: italic;
    font-size: 0.9rem;
    text-align: center;
    margin-left: auto;
}

.checkboxes {
    width: 100%;
    display: flex;
    row-gap: 1rem;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.checkboxes > div {
    /* border: 1px solid red; */
    flex-basis: 40%;
    gap: 0.75rem;
    display: flex;
    justify-content: start !important;
    width: 100%;
    cursor: pointer;
}

.checkboxes > div label,
.checkboxes > div input {
    cursor: pointer;
}

.nav__title {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    color: #2f3349;
}

.nav__title h1 {
    font-size: 1.5rem;
}

.model__contents {
    padding-bottom: 2rem;
    margin-top: 1rem;
    height: calc(100vh - 6.7rem);
}

.model__title {
    font-weight: 500;
    color: #464252;
}

.model__contents__header__right {
    color: #6f6c78;
}

.main__contents {
    overflow: auto;
}

.table__wrapper {
    /* IF pagination is needed */
    /* height: calc(100vh - 18rem); */

    /* IF pagination is not needed */
    height: calc(100vh - 15rem);
    display: block;
    overflow-y: auto;
}

.model__contents__table {
    width: 100%;
    color: #6f6c78;
}

.model__contents__table thead,
.model__contents__table tbody {
    width: 100%;
}

.model__contents__table th,
.model__contents__table tr,
.model__contents__table td {
    border-top: 1px solid #e6e6e8;
    /* padding-block: 0.9rem; */
}

:is(tbody tr, tbody, td) {
    text-align: center;
    color: #6f6c78;
}

.model__contents__table td {
    text-align: center;
}

.table__action figure {
    cursor: pointer;
}

/* For Modals */
.modal__contents__overlay {
    visibility: hidden;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
    opacity: 0;
    transition: 300ms;
}

.modal__contents__overlay.show {
    opacity: 1;
    visibility: visible;
    transition: 300ms;
}

.modal__contents {
    position: absolute;
    z-index: 2;
    pointer-events: none;
    visibility: hidden;
    width: 30rem;
    margin: auto;
    background-color: #fff;
    padding-block: 1rem;
    border-radius: 0.3rem;
    opacity: 1;
    transition: 300ms;
    transform: translateY(50px);
}

.form-select {
    background-color: #f8f9fa;
    border: 1px solid #ced4da;
    padding: 0.5rem;
    width: 150px;
}

.form-select option {
    padding: 1rem;
}

.modal__contents.show {
    pointer-events: all;
    visibility: visible;
    transform: translateY(0px);
    opacity: 1;
    transition: 300ms;
}

.modal__contents h2 {
    color: #464252;
    font-size: 1.3rem;
    padding-left: 2rem;
    font-weight: 500;
    padding-bottom: 0.5rem;
    border-bottom: 1px solid #e6e6e8;
}

.inputbox {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.3rem;
}

.inputbox label {
    position: relative;
}

.inputbox input:not(.custom__checkbox) {
    width: 100%;
    outline: none;
    border: 1px solid #c2c2c2;
    border-radius: 0.3rem;
    padding-block: 0.55rem;
    padding-inline: 1rem;
    position: relative;
}

.inputbox select {
    width: 100%;
    outline: none;
    border: 1px solid #c2c2c2;
    border-radius: 0.3rem;
    padding-block: 0.225rem;
    padding-inline: 0.5rem;
    position: relative;
}

.inputbox label::after {
    content: "*";
    display: block;
    position: absolute;
    top: 0;
    right: -10px;
    color: red;
}

.inputbox label.no-req::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: -10px;
    color: red;
}

.inputbox .custom__checkbox ~ label::after {
    content: "" !important;
}

.custom__checkbox {
    width: 20px;
}

.inputbox__image {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 8rem;
    height: 100%;
    border: 1px solid #c2c2c2;
    aspect-ratio: 3/1;
    border-radius: 0.3rem;
    position: relative;
    width: 100%;
    margin-bottom: 0.1rem;
    cursor: pointer;
}

.inputbox input[type="number"] {
    width: 20%;
}

.modal__form__actions {
    margin-top: 1rem;
    display: flex;
    gap: 0.75rem;
}

.add__modal__form__actions,
.edit__modal__form__actions {
    justify-content: end !important;
}

.delete__modal__form__actions {
    justify-content: center;
}

.modal__form__actions button {
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    color: #6f6c78;
    padding-block: 0.6rem;
    padding-inline: 1.6rem;
    border-radius: 0.2rem;
    font-weight: bold;
}

.modal__form__actions .cancel {
    background-color: #ffe2e3;
    color: #ff5559;
}

.modal__form__actions .submit {
    background-color: #7367f0;
    color: #fff;
}

/* Delete Modal */

.delete__modal__forms .modal__main {
    text-align: center;
}

.delete__modal__forms figure {
    margin: auto;
    margin: 0;
}

.delete__modal__forms p {
    margin-top: 0.3rem;
    font-size: 14px;
}

.modal__form__actions {
    /* margin-top: 1rem; */
    justify-content: center;
}

.paginations ul {
    display: flex;
    align-items: center;
    justify-content: end;
    margin-top: 2.4rem;
    gap: 0.5rem;
}

.paginations ul li {
    padding: 0.5rem 1rem;
    list-style: none;
    cursor: pointer;
}

[data-bs-theme="darks"] .pagination__active {
    background-color: #7367f0 !important;
    color: white;
}

.paginations .pagination__active {
    color: white;
    background-color: #615ac3;
}

[data-bs-theme="darks"] {
    .bg__dark__status__user {
        background-color: #2d4b4f;
        color: #28c46e;

        border-radius: 0.3rem;
    }

    .bg__dark__status__user_inactive {
        background-color: #3b4054;
        color: #7a7d8b;

        border-radius: 0.3rem;
    }

    .bg__dark__status__client {
        background-color: #2d4b4f;
        color: #28c46e;
        width: 50%;
        border-radius: 0.3rem;
    }

    .bg__dark__status__client_inactive {
        background-color: #3b4054;
        color: #7a7d8b;
        width: 50%;
        border-radius: 0.3rem;
    }

    .bg__dark__status__cart {
        background-color: #c4fbdc;
        color: #35ca77;
        width: 50%;
        border-radius: 0.3rem;
    }

    .bg__dark__status__cart_inactive {
        background-color: #ebebed;
        color: #9396a1;
        width: 50%;
        border-radius: 0.3rem;
    }
}

.bg__dark__status__user {
    background-color: #c4fbdc;
    color: #35ca77;
    border-radius: 0.3rem;
}

.bg__dark__status__user_inactive {
    background-color: #ebebed;
    color: #9396a1;
    border-radius: 0.3rem;
}

.bg__dark__status__client {
    background-color: #c4fbdc;
    color: #35ca77;
    width: 50%;
    border-radius: 0.3rem;
}

.bg__dark__status__client_inactive {
    background-color: #ebebed;
    color: #9396a1;
    width: 50%;
    border-radius: 0.3rem;
}

.bg__dark__status__cart {
    background-color: #c4fbdc;
    color: #35ca77;
    width: 50%;
    border-radius: 0.3rem;
}

.bg__dark__status__cart_inactive {
    background-color: red;
    color: #9396a1;
    width: 50%;
    border-radius: 0.3rem;
}

.chartjs-legend li {
    border: 1px solid #000;
    /* Set border color and width */
    padding: 5px;
    /* Add some padding to make the border more visible */
}

#main-dashboard>* {
    overflow-x: hidden;
}

*::-webkit-scrollbar {
    width: 0;
}

.chart__title {
    color: #464252;
}

.highcharts-titles p {
    color: #777777;
}

[data-bs-theme="darks"] {
    button.dropdown-toggle {
        background-color: #776bf1;
        color: white;
    }

    button.dropdown-toggle:hover {
        background-color: #776bf1c7;
        color: white;
    }

    button.dropdown-toggle:active {
        background-color: #776bf1;
        color: white;
    }
}

[data-bs-theme="light"] {
    button.dropdown-toggle {
        padding-inline: 1.2rem;
        background-color: #E9E7FD !important;
        color: #776BF1 !important;
    }

    button.dropdown-toggle:hover {
        background-color: #e9e7fd3b;
        color: #776BF1;
    }

    button.dropdown-toggle:active {
        background-color: #e9e7fd;
        color: #776BF1 !important;
    }
}

.highcharts-figure {
    height: 100%;
}

.chart__legend {
    display: inline-flex;
    flex-grow: 1;
    width: 100%;
    align-items: center;
    gap: .3rem;
    margin: 0;
    padding: .4rem;
    font-size: 13px;
    color: #464252;
    border: 1px solid #E6E6E8;
    border-radius: 4px;
}

.chart__legend.active {
    display: none;
    color: red !important;
}

[data-bs-theme="darks"] {
    .chart__legend {
        border-color: #AAAAAA;
        color: #AAAAAA;
    }

    .highcharts-legend-item,
    .highcharts-axis-labels.highcharts-yaxis-labels span,
    .highcharts-axis-labels.highcharts-xaxis-labels span,
    .highcharts-legend-item.highcharts-pie-series span {
        color: #aaaaaa !important;
    }


    #pie-container::-webkit-scrollbar,
    #actual-inject::-webkit-scrollbar {
        width: 10px;
    }

    #pie-container::-webkit-scrollbar-track,
    #actual-inject::-webkit-scrollbar-track {
        background: #2F3349;
    }

    #pie-container::-webkit-scrollbar-thumb,
    #actual-inject::-webkit-scrollbar-thumb {
        background: white;
        border-radius: 1rem;
    }

    #pie-container::-webkit-scrollbar-thumb:hover,
    #actual-inject::-webkit-scrollbar-thumb:hover {
        background: #555;
    }
}

.highcharts-legend-item.highcharts-legend-item-hidden span {
    opacity: .70;
    text-decoration: line-through;
}

.highcharts-axis-labels.highcharts-xaxis-labels span,
.highcharts-legend-item.highcharts-pie-series span {
    color: #979797 !important;
}

.remove__rect .highcharts-legend-item rect {
    display: none;
}

.chart__legend div {
    width: 10px;
    height: 10px;
}



@media(min-width: 1800px) {

    #container,
    #container2,
    #container3 {
        height: calc(50dvh - 7rem) !important;
    }

    #top-reject,
    #reject-dies,
    #ok-ng,
    #reject-reason {
        height: calc(20dvh - 10rem) !important;
    }

    .chart__title {
        font-size: .95rem;
    }

    .chart__legend {
        padding-block: .2rem;
    }

    #container .highcharts-axis-labels.highcharts-xaxis-labels span,
    #container2 .highcharts-axis-labels.highcharts-xaxis-labels span,
    #container3 .highcharts-axis-labels.highcharts-xaxis-labels span {
        /* display: none !important; */
        font-size: .5rem !important;
        text-align: center;
    }
}



@media(max-height: 1000px) {
    #actual-inject {
        height: calc(50vh - 5.8rem) !important;
        overflow-y: scroll;
    }


    #container,
    #container2,
    #container3 {
        height: 35dvh !important;
    }


    #top-reject,
    #reject-dies,
    #ok-ng,
    #reject-reason {
        height: calc(40vh - 4.8rem) !important;
    }

}

@media (max-width: 1800px) {
    .highcharts-figure {
        overflow: hidden;
    }

    .chart__title {
        font-size: .85rem;
    }

    .chart__legend {
        padding: .2rem;
        font-size: 9px;
    }

    .chart__legend div {
        width: 10px;
        height: 10px;
    }

    div.dashboard__filter__dropdown button.dropdown-toggle {
        font-size: 12px !important;
        padding-inline: .5rem
    }

    div.highcharts-xaxis-labels span {
        font-size: 8px !important;
    }

    #container .highcharts-axis-labels.highcharts-xaxis-labels span,
    #container2 .highcharts-axis-labels.highcharts-xaxis-labels span,
    #container3 .highcharts-axis-labels.highcharts-xaxis-labels span {
        font-size: 7px !important;
        text-align: center;
    }
}

#pie-container::-webkit-scrollbar,
#actual-inject::-webkit-scrollbar {
    width: 10px;
}

#pie-container::-webkit-scrollbar-track,
#actual-inject::-webkit-scrollbar-track {
    background: #f1f1f1;
}

#pie-container::-webkit-scrollbar-thumb,
#actual-inject::-webkit-scrollbar-thumb {
    background: #2F3349;
    border-radius: 1rem;
}

#pie-container::-webkit-scrollbar-thumb:hover,
#actual-inject::-webkit-scrollbar-thumb:hover {
    background: #555;
}


@media(min-height: 1000px) {


    #actual-inject {
        height: calc(50vh - 5.8rem) !important;
        overflow-y: auto;
    }


    #container,
    #container2,
    #container3 {
        height: 37dvh !important;
    }

    #actual-inject {
        height: 39vh;
    }

    #top-reject,
    #reject-dies,
    #ok-ng,
    #reject-reason {
        height: calc(37dvh - 1.5rem) !important;
    }

    .custom__pie {
        width: 100%;
        border: 2px solid red;
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    div.highcharts-xaxis-labels span {
        font-size: 9px !important;
    }
}


div.highcharts-container {
    height: 100%;
    /* border: 2px solid red; */
}

div.highcharts-yaxis-labels span {
    font-size: 10px !important;
    font-weight: normal !important;
    text-transform: none !important;
}

#dynamic-calendar .flatpickr-calendar {
    width: 250px !important;
    font-size: 12px;
}

#dynamic-calendar .flatpickr-days,
#dynamic-calendar .flatpickr-days .dayContainer span {
    padding: 5px !important;
}

#dynamic-calendar .flatpickr-month {
    font-size: 14px !important;
}

.filter-item {
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}

.filter-item:hover {
    background-color: #007bff !important;
    color: white !important;
}

.filter-item.active {
    background-color: #007bff !important;
    color: white !important;
}

.filter-item:hover a,
.filter-item.active a {
    color: white !important;
    background-color: #007bff !important;
}
